Loading...
Searching...
No Matches
Node Class Reference
Inheritance diagram for Node:
[legend]

## Data Structures

struct | Status

## Public Member Functions

| Node ()
| Node (Elements children)
| Node (const Node &)=delete
| Node (const Node &&)=delete
Node & | operator= (const Node &)=delete
Node & | operator= (const Node &&)=delete
virtual | ~Node ()
virtual void | ComputeRequirement ()
| Compute how much space an elements needs.
Requirement | requirement ()
virtual void | SetBox (Box box)
| Assign a position and a dimension to an element for drawing.
virtual void | Select (Selection &selection)
| Compute the selection of an element.
virtual void | Render (Screen &screen)
| Display an element on a ftxui::Screen.
virtual std::string | GetSelectedContent (Selection &selection)
virtual void | Check (Status *status)

## Protected Attributes

Elements | children_
Requirement | requirement_
Box | box_

## Detailed Description

Definition at line 23 of file node.hpp.

## Data Structure Documentation

## ftxui::Node::Status

struct ftxui::Node::Status

Definition at line 56 of file node.hpp.

Data Fields
int | iteration = 0 |
bool | need_iteration = false |

## Constructor & Destructor Documentation

## Node() [1/4]

Node | ( |  | ) |

default

## Node() [2/4]

Node | ( | Elements | children | ) |

explicit

Definition at line 16 of file node.cpp.

## Node() [3/4]

Node | ( | const Node & |  | ) |

delete

## Node() [4/4]

Node | ( | const Node && |  | ) |

delete

## ~Node()

~Node | ( |  | ) |

virtual default

## Member Function Documentation

## operator=() [1/2]

Node & operator= | ( | const Node & |  | ) |

delete

## operator=() [2/2]

Node & operator= | ( | const Node && |  | ) |

delete

## ComputeRequirement()

void ComputeRequirement | ( |  | ) |

virtual

Compute how much space an elements needs.

Reimplemented in NodeDecorator.

Definition at line 21 of file node.cpp.

## requirement()

Requirement requirement | ( |  | ) |

inline

Definition at line 38 of file node.hpp.

## SetBox()

void SetBox | ( | Box | box | ) |

virtual

Assign a position and a dimension to an element for drawing.

Reimplemented in NodeDecorator.

Definition at line 43 of file node.cpp.

## Select()

void Select | ( | Selection & | selection | ) |

virtual

Compute the selection of an element.

Definition at line 49 of file node.cpp.

## Render()

void Render | ( | Screen & | screen | ) |

virtual

Display an element on a ftxui::Screen.

Definition at line 63 of file node.cpp.

## GetSelectedContent()

std::string GetSelectedContent | ( | Selection & | selection | ) |

virtual

Definition at line 76 of file node.cpp.

## Check()

void Check | ( | Status * | status | ) |

virtual

Definition at line 69 of file node.cpp.

## Field Documentation

## children_

Elements children_

protected

Definition at line 65 of file node.hpp.

## requirement_

Requirement requirement_

protected

Definition at line 66 of file node.hpp.

## box_

Box box_

protected

Definition at line 67 of file node.hpp.

The documentation for this class was generated from the following files:

- include/ftxui/dom/node.hpp
- src/ftxui/dom/node.cpp